=== debian/changelog ===
openmpi (1.10.2-8ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Debug build for powerpc (-O0 instead of -Og).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Feb 2016 17:23:16 +0100

openmpi (1.10.2-8) unstable; urgency=medium

  * Don't ship opal.pc link that conflicts with libopal-dev. Closes: #814515
  * openmpi-doc breaks/replaces openmpi-checkpoint (<< 1.10.2).
    Closes: #814518.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Feb 2016 11:45:09 +0000

openmpi (1.10.2-7ubuntu2) xenial; urgency=medium

  * Debug build for powerpc (-O0 instead of -Og).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Feb 2016 11:46:13 +0100

openmpi (1.10.2-7ubuntu1) xenial; urgency=medium

  * Debug build for powerpc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Feb 2016 22:50:40 +0100

openmpi (1.10.2-7) unstable; urgency=medium

  * x32 support from Adam Borowski. Closes: #814332.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Feb 2016 13:40:56 +0000

openmpi (1.10.2-6) unstable; urgency=medium

  * libopenmpi-dev recommends openmpi-doc. Closes: #813929.
  * Fix formatting errors in man pages.  Silences lintian :-)
  * Define PATH_MAX in ompi_config.h and other fixes for Hurd.
  * Change packages to Arch: any so s390x can build. Closes: #813734.
  * Test suite enabled, so Closes: #719896.
  * Close old bugs as we now support hppa, s390: Closes: #376833, #389306.
  * Build-Conflict on libmpich-dev.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 06 Feb 2016 02:09:58 +0000

openmpi (1.10.2-5) unstable; urgency=medium

  * Do not use --with-verbs on s390x.
  * Enable test suite. Do initial run as experimental to see what breaks :-(

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Feb 2016 11:48:41 +0000

openmpi (1.10.2-4) unstable; urgency=medium

  * Change to Arch: any, as s390x, builds. Closes: #813694.
  * Standards-Version: 3.9.7

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 Feb 2016 12:59:21 +0000

openmpi (1.10.2-3) unstable; urgency=medium

  * Add missing links to .pc files in /usr/lib/pkgconfig
  * Disable --with-verbs on kFreeBSD, Hurd.
  * Update openmpi-docs man pages
  * Add links for mpifort. Closes: #813060, #813057.
  * Fix alternatives in postinst. Closes: #734096
  * Delete torque deps in rules; Closes: #769578
  * Close old bug - mpicc-wrapper data no longer contains /usr/lib.
    Closes: #812991.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Feb 2016 18:41:01 +0000

openmpi (1.10.2-2) unstable; urgency=medium

  * libopenmpi1.10 conflicts with libopenmpi1.6. Closes: #813042.
  * Fixes for hppa, hurd patches.
  * checkpoint/restart disabled - lack of upstream maintenance support
    since 1.7+.
  * Drop references to tools no longer shipped in 1.10.2
  * oshmem only supported on Linux, so only try to install on Linux, not
    Hurd or KFreeBSD

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 29 Jan 2016 04:29:18 +0000

openmpi (1.10.2-1) experimental; urgency=medium

  * New upstream release. 
    Closes: #753001, #796982, #796985, #659134,  #657625,  #584702,
    Closes: #579505.
    LP: #1365152, #1390198 
  * Patch refresh:
    - ompi_autogen_sh.patch. Disabled as unnecessary
    - fix-bashims.diff: upstream code removed
    - fix-testsuite-compile : fixed upstream
    - mips-support-upstream-1.7.3.diff: fixed upstream
    - mips-support-fix.diff : ditto
    - ppc64el-support.patch : ditto
  * Change package names 1.6 -> 1.10
  * Close Ophaning bug. Set myself as Maintainer, team as Uploaders.
      Closes: #810079.
  * Include HPPA support from Helge Deller. Closes: #776730.
  * Replace __DATE__ with $(DEBIAN_VERSION) in debug output to make
    build bit-reproducible.
  * libopenmp1.6 recommends openmpi-common; needed for programs to run.
     LP: #398095.
  * Ack. that torque support is dropped. Closes: #767411. Presume that
    openmpi will be informed if a new Torque is introduced to stretch,++.
  * Set --with-ldtl=/usr/ not external; not detected otherwise ?
  * Drop -dbg package as automatic -dbsym packages now generated.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 26 Jan 2016 11:23:11 +0000

openmpi (1.6.5-11) unstable; urgency=medium

  * Build against gcc,gfortran5 for transition. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Aug 2015 07:55:56 +0100

openmpi (1.6.5-10) unstable; urgency=medium

  * Acknowledge taking maintainership. Closes: #766859.
  * Ack. patch from Willi Mann that fixes FTBFS. Closes: #782653.
  * Move to debhelper compatabililty level 9.
  * Use 'xz' compression
  * Depend on libibverbs >= 1.1.7 for libibverbs ABI change (From Ubuntu)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Jun 2015 18:56:29 +0100

openmpi (1.6.5-9.2) unstable; urgency=medium

  * Non-maintainer upload.
  * libopenmpi1.6: Fix two incorrect soname links.  (Closes: #736675)
  * openmpi-common: Set Multi-Arch: foreign.  (Closes: #769378)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 25 Nov 2014 12:42:38 +0100

openmpi (1.6.5-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable torque support (see #767411).

 -- Julien Cristau <jcristau@debian.org>  Fri, 14 Nov 2014 17:57:11 +0100

openmpi (1.6.5-9) unstable; urgency=medium

  * Add myself as uploader.
  * Standards-Version: 3.9.6; no changes required.
  * Rebuild against lastest gfortran. Closes: #647908, #675115.
  * Patch for mpi.pc support. Closes: #752785.
  * Patch from Michael Cree to fix bad atomic ops on Alpha that
    causes mpi4py to segfault. Closes: #754524.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Oct 2014 11:07:44 +0000
