## openmpi 1.10.3

=== debian/changelog ===
openmpi (1.10.3-3ubuntu2) yakkety; urgency=medium

  [ Graham Inngs ]
  * Rebuild on top of new gcc-6 (fixing bagel build)
  * Revert the Debug build for powerpc
  * This becomes a no-change rebuild

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Aug 2016 11:32:47 +0200

openmpi (1.10.3-3ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Debug build for powerpc (-O0 instead of -Og).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Jul 2016 11:19:23 +0200

openmpi (1.10.3-3) unstable; urgency=medium

  * Fix libmca_common_verbs 7.0.0 -> 7.0.1
  * lenny Breaks: add version to libopenmpi1.4

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Jun 2016 13:00:37 +0100

openmpi (1.10.3-2) unstable; urgency=medium

  Fix missing shlib version change:
  * _tkr moved from 6.1.1 -> 6.2.0

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Jun 2016 12:46:06 +0100

openmpi (1.10.3-1) unstable; urgency=medium

  * New upstream release
   - patch opal_thread_add64.patch merged upstream
   - mpi_win.patch merged upstream
  * Shlib version changes:
   - libmpi 12.0.2 -> 12.0.3
   - libmpi_mpifh 12.0.0 -> 12.0.1
   - libmpi_usempif08 11.1.0 -> 11.1.1
   - libmpi_usempi_ignore_tkr 6.1.0 -> 6.2.0
   - libopen-pal 13.0.2 -> 13.0.3
   - libopen-rte.so 12.0.2 -> 12.0.3
   - liboshmem.so 8.1.0 -> 8.1.1

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 Jun 2016 07:12:57 +0100

openmpi (1.10.2-15ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Debug build for powerpc (-O0 instead of -Og).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Jun 2016 14:20:12 +0200

openmpi (1.10.2-15) unstable; urgency=medium

  * Regression: liboshmem.so.8.1.0 not shipped. Closes: #825575
  * Build against libfabric-dev where possible.
  * Fix: bad regex check on list meant not building against verbs
    on some archs.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Jun 2016 06:44:30 +0100

openmpi (1.10.2-14) unstable; urgency=medium

  * Standards-Version: 3.9.8. No changes required
  * Reproducible builds: Sort glob'bed filelists.
  * Add Breaks/Replaces for libopenmpi1 (lenny upgrade). Closes: #822913.
  * Undo mips chrpath workaround. Closes: #818909
  * Ack. fixed bug. Closes: #818935.
  * Close obsolete bug; cannot occur with openmpi1.10. Closes: 801988.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 May 2016 13:31:19 +0100

openmpi (1.10.2-13) unstable; urgency=medium

  * Fix chrpath on mips64el, mipsel too. Closes: #818909

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Apr 2016 12:14:48 +0100

openmpi (1.10.2-12) unstable; urgency=medium

  * Workaround for chrpath problem on mips. Closes: #818909

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Apr 2016 14:11:30 +0100

openmpi (1.10.2-11) unstable; urgency=medium

  * Typo in install file. Thanks to Patrice DUROUX. Closes: #817020.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Mar 2016 08:03:38 +0000

openmpi (1.10.2-10) experimental; urgency=medium

  * test fix for big-endian systems problem on mpi4py

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 11 Mar 2016 14:02:42 +0000

openmpi (1.10.2-9) unstable; urgency=medium

  * Drop Suggests: for openmpi-checkpoint, which no longer exists.
    Closes: #816648.
  * libopenmpi1.10: Depend on libhwloc-plugins. Closes: #790540.
  * opal_thread_add64.patch: Fix for OPAL_THREAD_ADD64 not
    defined on 32-bit systems. Closes: #816303.
  * Fix broken symlinks in -dev package. Closes: #817020.
  * Fix arch- and bin-only builds (debian/rule). Closes: #816985.
  * Drop unreproducible ia64 bug report. Closes: #720419.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 09 Mar 2016 11:00:41 +0000
