=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libnuma-dev [amd64 i386 ia64 mips mipsel mipsn32 mipsn32el mips64 mips64el powerpc ppc64el], autoconf (>= 2.59),
  automake
 Build-Conflicts: libopenmpi1.6, libopenmpi1.10, libmpich-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.open-mpi.org/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-openmpi/openmpi/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-openmpi/openmpi/trunk/
@@ -20,7 +20,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, openmpi-common (= ${source:Version})
 Conflicts: openmpi-bin
-Suggests: gfortran, openmpi-checkpoint [amd64 armel armhf i386 powerpc]
+Suggests: gfortran
 Description: high performance message passing library -- binaries
  Open MPI is a project combining technologies and resources from several other
  projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
@@ -65,8 +65,10 @@
 Section: libs
 Architecture: any
 Recommends: openmpi-bin
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins
 Conflicts: libopenmpi1.6
+Breaks: libopenmpi1.4 (>= 1.4.5-1)
+Replaces: libopenmpi1.4
 Description: high performance message passing library -- shared library
  Open MPI is a project combining technologies and resources from several other
  projects (FT-MPI, LA-MPI, LAM/MPI, and PACX-MPI) in order to build the best
