=== debian/rules ===
--- 
+++ 
@@ -2,16 +2,7 @@
 
 export DH_VERBOSE=1
 
-ifeq ($(DEB_HOST_ARCH),powerpc)
-  export DEB_CFLAGS_MAINT_STRIP = -O2
-  export DEB_CFLAGS_MAINT_APPEND = -O0
-  export DEB_FCFLAGS_MAINT_STRIP = -O2
-  export DEB_FCFLAGS_MAINT_APPEND = -O0
-  export DEB_CXXFLAGS_MAINT_STRIP = -O2
-  export DEB_CXXFLAGS_MAINT_APPEND = -O0
-endif
 
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
@@ -29,8 +20,13 @@
 
 # No ibverbs support available on kFreeBSD, Hurd
 NO_VERBS_ARCH:= "hurd-i386 kfreebsd-amd64 kfreebsd-i386 s390x"
-ifeq (,$(findstring $(DEB_HOST_ARCH),$(NO_VERBS_ARCH)))
+ifneq (,$(findstring $(DEB_HOST_ARCH),$(NO_VERBS_ARCH)))
         VERBS = --with-verbs
+endif
+
+FABRIC_ARCH:="amd64 i386"
+ifeq (,$(findstring $(DEB_HOST_ARCH),$(VERBS_ARCH)))
+        FABRIC = --with-libfabric
 endif
 
 # Flags for the static build: see bug #502232
@@ -44,10 +40,15 @@
 %:
 	dh $@ --parallel #--with autotools_dev
 
+override_dh_auto_clean:
+	dh_clean
+	find . -name .dir-stamp -delete
+	find . -type l -delete
+
 override_dh_auto_configure:
 	./autogen.sh
 	dh_auto_configure -- \
-		$(NUMA) $(VERBS) \
+		$(NUMA) $(VERBS) $(FABRIC) \
 		$(MPI_THREADS) \
 		$(STATIC_CONFIG_PARAMS) \
 		--disable-silent-rules \
@@ -64,7 +65,7 @@
 		--includedir=\$${prefix}/lib/openmpi/include 
 
 override_dh_install:
-# Strip rpath info from all executables and libraries.
+	# Strip rpath info from all executables and libraries.
 	find debian/tmp/ -type f -perm -+x -a ! -name '*.la' -a ! -name '*.mod' -exec chrpath -d '{}' \;
 # Rename the compiler and startup wrappers.
 	for f in mpic++ mpicc mpiCC mpicxx mpiexec mpif77 mpif90 mpirun mpifort ; do \
@@ -99,19 +100,21 @@
 	dh_install
 # oshmem, shmem only built on Linux so do by hand or it may fail ...
 	if test -f debian/tmp/usr/bin/oshrun ; then \
+		mkdir -p debian/libopenmpi1.10/usr/lib/openmpi/lib ; \
 		cp -a debian/tmp/usr/bin/oshrun  debian/openmpi-bin//usr/bin/ ; \
 		cp -a debian/tmp/usr/bin/oshmem_info  debian/openmpi-bin//usr/bin/ ; \
 		cp -a debian/tmp/usr/bin/oshcc	 debian/libopenmpi-dev/usr/bin   ; \
 		cp -a debian/tmp/usr/bin/oshfort   debian/libopenmpi-dev/usr/bin   ; \
-		cp -a debian/tmp/usr/lib/openmpi/lib/liboshmem.so.8.1.0 usr/lib/libopenmpi1.10/usr/lib/openmpi/lib ; \
+		cp -a debian/tmp/usr/lib/openmpi/lib/liboshmem.so.8.1.0 debian/libopenmpi1.10/usr/lib/openmpi/lib ; \
 		cp -a debian/tmp/usr/share/man/man1/oshcc.1 debian/libopenmpi-dev/usr/share/man/man1 ; \
 		cp -a debian/tmp/usr/share/man/man1/oshfort.1 debian/libopenmpi-dev/usr/share/man/man1 ; \
 		cp -a debian/tmp/usr/share/man/man1/oshrun.1 debian/openmpi-bin/usr/share/man/man1 ; \
 		cp -a debian/tmp/usr/share/man/man1/oshmem_info.1 debian/openmpi-bin/usr/share/man/man1 ; \
 	fi
-	if test -f debian/tmp/usr/lib/openmpi/lib/libmca_common_verbs.so.7.0.0 ; then \
-		cp -a debian/tmp/usr/lib/openmpi/lib/libmca_common_verbs.so.7.0.0 \
-			debian/libopenmpi1.10/usr/lib/openmpi/lib/libmca_common_verbs.so.7.0.0 ; \
+	if test -f debian/tmp/usr/lib/openmpi/lib/libmca_common_verbs.so.7.0.1 ; then \
+		mkdir -p debian/libopenmpi1.10/usr/lib/openmpi/lib ; \
+		cp -a debian/tmp/usr/lib/openmpi/lib/libmca_common_verbs.so.7.0.1 \
+			debian/libopenmpi1.10/usr/lib/openmpi/lib/libmca_common_verbs.so.7.0.1 ; \
 	fi
 	if test -f debian/tmp/usr/bin/shmemrun ; then \
 		cp -a debian/tmp/usr/bin/shmemrun debian/openmpi-bin/usr/bin/shmemrun ;\
@@ -122,7 +125,9 @@
 		cp -a debian/tmp/usr/share/man/man1/shmemfort.1 debian/libopenmpi-dev/usr/share/man/man1 ; \
 	fi
 
-override_dh_fixperms:
+override_dh_install-arch:
+
+override_dh_fixperms-arch:
 	chmod 0644 debian/libopenmpi*/usr/lib/openmpi/lib/*.mod
 	dh_fixperms
